package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.entity.LiftCertificateHistory;
import cn.com.ty.lift.enterprise.oa.mapper.LiftCertificateHistoryMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 操作证操作记录 服务类
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Service("liftCertificateHistoryService")
public class LiftCertificateHistoryService extends ServiceImpl<LiftCertificateHistoryMapper,LiftCertificateHistory>{

	@Autowired
	private LiftCertificateHistoryMapper liftCertificateHistoryMapper;

	List<LiftCertificateHistory> selectByCertificate(int pageNum,int pageSize,Long mtCompanyId,Long certificateId){
        IPage<LiftCertificateHistory> page = new Page<>(pageNum,pageSize);
	    return liftCertificateHistoryMapper.selectByCertificate(page, mtCompanyId, certificateId);
	}

}